Docs

Get a run for a simulation

Returns a simulation run using its ID.

GET /simulations/{simulation_id}/runs/{simulation_run_id}

Returns a simulation run using its ID.

Use the include parameter to include related entities in the response.

Requires notification_simulation.read permission.

Path parameters

simulation_idstringrequired
Paddle ID of the simulation entity to work with.
simulation_run_idstringrequired
Paddle ID of the simulation run entity to work with.

Query parameters

includearray
Include related entities in the response.
Values
  • events
    Include an array of events related to this simulation run in the response.

Response (200)

datarequired
Represents a simulation run entity.
Single event run
Single event simulations play a single event.
idstringrequired
Example: ntfsimrun_01ghbkd0frb9k95cnhwd1bxpvk
Unique Paddle ID for this simulation run, prefixed with ntfsimrun_.
Pattern: ^ntfsimrun_[a-z\d]{26}$
statusstringrequired
Status of this simulation run.
Values
  • pending
    Simulation run is pending. Paddle is sending events that are part of this simulation.
  • completed
    Simulation run is completed. Paddle attempted to send events that are part of this simulation.
  • canceled
    Simulation run is canceled. Simulation run was canceled before all events were sent.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
typestringrequired
Single event sent for this simulation, in the format entity.event_type.
Values
+ Show all values
eventsarray
Events associated with this simulation run. Paddle creates a list of events for each simulation runs. Returned when the include parameter is used with the events value.
idstringrequired
Example: ntfsimevt_01hvg8ykjrcdr4jvv9rqcbkhfa
Unique Paddle ID for this simulation event, prefixed with ntfsimevt_.
Pattern: ^ntfsimevt_[a-z\d]{26}$
statusstringrequired
Status of this simulation run log.
Values
  • pending
    Simulation run log is pending. Paddle hasn't yet tried to deliver the simulated event.
  • success
    Simulation run log was successful. Paddle delivered the simulated event successfully.
  • failed
    Simulation run log failed. Paddle tried to deliver the simulated event, but it failed. If response object is null, no response received from your server. Check your notification setting endpoint configuration.
  • aborted
    Simulation run log aborted. Paddle could not attempt delivery of the simulated event.
event_typestringrequired
Type of event sent by Paddle, in the format entity.event_type.
Values
+ Show all values
payloadobjectrequired
Simulation payload. Pass a JSON object that matches the schema for an event type to simulate a custom payload. If omitted, Paddle populates with a demo example.
requestobject | nullrequired
Information about the request. Sent by Paddle as part of the simulation.
bodystringrequired
Request body sent by Paddle.
responseobject | nullrequired
Information about the response. Sent by the responding server for the notification setting.
bodystringrequired
Response body sent by the responding server. May be empty for success responses.
status_codenumberrequired
HTTP status code sent by the responding server.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
Scenario run
Scenario simulations play all events sent for a subscription lifecycle event.
idstringrequired
Example: ntfsimrun_01ghbkd0frb9k95cnhwd1bxpvk
Unique Paddle ID for this simulation run, prefixed with ntfsimrun_.
Pattern: ^ntfsimrun_[a-z\d]{26}$
statusstringrequired
Status of this simulation run.
Values
  • pending
    Simulation run is pending. Paddle is sending events that are part of this simulation.
  • completed
    Simulation run is completed. Paddle attempted to send events that are part of this simulation.
  • canceled
    Simulation run is canceled. Simulation run was canceled before all events were sent.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
typestringrequired
Scenario for this simulation. Scenario simulations play all events sent for a subscription lifecycle event.
Values
  • subscription_creation
    Simulates all events sent when a subscription is created.
  • subscription_renewal
    Simulates all events sent when a subscription is renewed.
  • subscription_pause
    Simulates all events sent when a subscription is paused.
  • subscription_resume
    Simulates all events sent when a subscription is resumed.
  • subscription_cancellation
    Simulates all events sent when a subscription is canceled.
eventsarray
Events associated with this simulation run. Paddle creates a list of events for each simulation runs. Returned when the include parameter is used with the events value.
idstringrequired
Example: ntfsimevt_01hvg8ykjrcdr4jvv9rqcbkhfa
Unique Paddle ID for this simulation event, prefixed with ntfsimevt_.
Pattern: ^ntfsimevt_[a-z\d]{26}$
statusstringrequired
Status of this simulation run log.
Values
  • pending
    Simulation run log is pending. Paddle hasn't yet tried to deliver the simulated event.
  • success
    Simulation run log was successful. Paddle delivered the simulated event successfully.
  • failed
    Simulation run log failed. Paddle tried to deliver the simulated event, but it failed. If response object is null, no response received from your server. Check your notification setting endpoint configuration.
  • aborted
    Simulation run log aborted. Paddle could not attempt delivery of the simulated event.
event_typestringrequired
Type of event sent by Paddle, in the format entity.event_type.
Values
+ Show all values
payloadobjectrequired
Simulation payload. Pass a JSON object that matches the schema for an event type to simulate a custom payload. If omitted, Paddle populates with a demo example.
requestobject | nullrequired
Information about the request. Sent by Paddle as part of the simulation.
bodystringrequired
Request body sent by Paddle.
responseobject | nullrequired
Information about the response. Sent by the responding server for the notification setting.
bodystringrequired
Response body sent by the responding server. May be empty for success responses.
status_codenumberrequired
HTTP status code sent by the responding server.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
Response
{
"data": {
"id": "ntfsimrun_01j82h13n87yq2sfv187hm2r0p",
"status": "completed",
"type": "subscription_creation",
"created_at": "2024-09-18T12:17:04.168467Z",
"updated_at": "2024-09-18T12:17:17.663481Z"
},
"meta": {
"request_id": "eb5331b5-496d-41ed-9e15-dce968e3bbc6"
}
}

Was this page helpful?